function w = newton1(z,c,L,P,n)
% w = newton1 (z, c, L , P, n) uses the Newton method with n iterations.
% default values of c, L, P, and n are set at -10, 5, 2, and 10, respectively.
   if (nargin < 2) 
   c  = -10;   
   end
   if (nargin < 3)
   L  = 5;     % #(iterates)
   end
   if (nargin < 4)
   P  = 2;     % #(basis functions)
   end
   if (nargin< 5 )
     n=10;
   end

   [k,l] = size(z); 
     r=zeros(k,l,n+1);
r(:,:,1)=z;
for j=1:n
     r(:,:,j+1)= r(:,:,j) - (dlogzn(r(:,:,j),c,L,P)).^(-1);
end
w= r(:,:,n+1);
