function plot_zeta_mat( c, L, P )
% Plots matrix structure for zeta( c ) where c is parameter
% in map.

 % Set useful input values for unspecified arguments.

 % Parameter c in z^2 + c map.
 if( nargin < 1 )
  c = -40;
 end

 % Number of levels to iterate around Julia set.
 if( nargin < 2 )
  L = 3;
 end

 % Number of powers per interval = block size of transfer matrix.
 if( nargin < 3 )
  P = 1;
 end
 
 clf;

 brighten( 0.5 );

 % Save matrix to file "La.mat" from inside zlogd---set verbose = 1
 zlogd( 1.0, c, L, P, 1 );
 load  'aa.mat' aa;
% [ nx, ny ] = size( aa );
% for ix = 1 : nx
% for iy = 1 : ny
%  bb( nx + 1 - ix, iy ) = aa( ix, iy );
% end
% end
 
 colormap( [ 1, 1, 1; 0, 0, 0 ] );

 ip = 0;
 for inL = 0 : 1 : 1
 for inP = 0 : 3
 ip = ip + 1;
 subplot( 2, 4,  ip);
 % Save matrix to file "La.mat" from inside zlogd---set verbose = 1
 zlogd( 1.0, c, L + inL, P + inP, 1 );
 load  'aa.mat' aa;
 imagesc( log( max( eps, abs( aa ) ) ) );
 axis square;
 end
 end

 print -depsc -r1200 zeta/mat

